Ubuntu 16.04 Packages Missing


374
views
0
6 months ago by
Saro  
When I ran the following in my Ubuntu 16.04 LTS VirtualBox:
sudo apt-get install --no-install-recommends fenics​
I got the following message:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 fenics : Depends: dolfin-py3-bin (>= 2017.2.0) but it is not installable
          Depends: python3-ufl-doc (>= 2017.2.0) but it is not installable
E: Unable to correct problems, you have held broken packages.
​

Any ideas on what this means?

Community: FEniCS Project

3 Answers


4
6 months ago by
There is a problem with the "fenics" package. If you install "python3-dolfin" that will work. I am pushing a fix for "fenics" today, so it may work properly soon.
Installing python3-dolfin worked. Thank you.
written 6 months ago by Saro  
3
6 months ago by
it seems there is a mistake in the fenics package. Maybe you can try installing python-dolfin or python3-dolfin instead
Are you suggesting to install this seperately
written 6 months ago by Aswin Rajeevan  
Your response indicating python3-dolfin worked.
written 6 months ago by Saro  
0
6 months ago by
hello
I do not try to  install python−dolf∈python-dolf∈ or python3−dolf
but I try to install  fenics on Anaconda. It work

To do this, you can look here https://fenicsproject.org/download/

  conda create -n fenicsproject -c conda-forge fenics
  source activate fenicsproject
Please login to add an answer/comment or follow this question.

Similar posts:
Search »